<template>
  <main id="publish-videos">
    <div class="title-block">
      <h1>
        <strong>{{ $gettext('Publish your videos with PeerTube, the YouTube alternative') }}</strong>
      </h1>

      <div class="small-separator"></div>
    </div>

    <div class="jpt-container two-columns responsive-reverse passions">
      <div class="left">
        <h2>
          <SafeHTML>
            {{ $gettext('<strong>Share your passions</strong> on a platform that suits you', true) }}
          </SafeHTML>
        </h2>

        <div class="small-separator"></div>

        <p>
          <SafeHTML>
            {{ $gettext('<strong>With PeerTube, you don\'t have to please to the algorithms</strong> by artificially altering your content: PeerTube platforms are managed and moderated by humain beings like you and us, not by robots.', true) }}
          </SafeHTML>
        </p>

        <p>
          <SafeHTML>
            {{ $gettext('PeerTube allows you to focus on what you do the best: your videos, the way <strong>you</strong> want to create them.', true) }}
          </SafeHTML>
        </p>
      </div>

      <div class="right">
        <SVGPassion></SVGPassion>
      </div>
    </div>

    <div class="jpt-container visibility two-columns">
      <div class="left">
        <SVGVisibility></SVGVisibility>
      </div>

      <div class="right">
        <h2>
          <SafeHTML>
            {{ $gettext('<strong>Gain visibility</strong> thanks to the concept of federation!', true) }}
          </SafeHTML>
        </h2>

        <div class="small-separator"></div>

        <p>
          <SafeHTML>
            {{ $gettext('Increase the potential audience for your videos <strong>by connecting your PeerTube platform to the ones you want.</strong>', true) }}
          </SafeHTML>
        </p>
      </div>
    </div>

    <div class="getting-started big-container color-container">

      <h2 class="text-center">
        <SafeHTML>
          {{ $gettext('<strong>I\'m getting started</strong> on PeerTube', true) }}
        </SafeHTML>
      </h2>

      <div class="mx-auto small-separator"></div>

      <div class="card-container">
        <div class="card">
          <MascotHappy></MascotHappy>

          <h3 class="text-center">
            <strong>{{ $gettext('Create my account on an existing PeerTube platform') }}</strong>
          </h3>

          <div class="small-separator"></div>

          <p>
            {{ $gettext('Join a PeerTube platform based on its theme, terms of use or code of conduct.') }}
          </p>

          <ul>
            <li>
              <SafeHTML>
                {{ $gettext('<strong>Join a community</strong> and communicate directly with the platform owners', true) }}
              </SafeHTML>
            </li>

            <li>
              <SafeHTML>
                {{ $gettext('<strong>Import your videos</strong> from another website like YouTube or Vimeo, or directly from a file', true) }}
              </SafeHTML>
            </li>

            <li>
              <SafeHTML>
                {{ $gettext('<strong>Create several channels</strong> to group your videos by theme: a channel for piano, a channel for ecology...', true) }}
              </SafeHTML>
            </li>

            <li>
              <SafeHTML>
                {{ $gettext('Easily integrate your PeerTube videos <strong>on your own website</strong>', true) }}
              </SafeHTML>
            </li>

            <li>
              <SafeHTML>
                {{ $gettext('<strong>Broadcast a live stream</strong> on platforms that allow it', true) }}
              </SafeHTML>
            </li>
          </ul>

          <router-link class="jpt-link-button jpt-primary-button" to="/instances?profile=video-maker">
            <span>{{ $gettext('Find a PeerTube platform') }}</span>
          </router-link>
        </div>

        <div class="card">
          <MascotPointing></MascotPointing>

          <h3 class="text-center">
            <strong>{{ $gettext('Create my own PeerTube platform') }}</strong>
          </h3>

          <div class="small-separator"></div>

          <p>
            <SafeHTML>
              {{ $gettext('If you have a minimum amount of time and technical skills, creating your own platform (also called "instance") <strong>on your server</strong> is the best way to take advantage of PeerTube.', true) }}
            </SafeHTML>
          </p>

          <p>
            {{ $gettext('Creating and administering your own PeerTube platform will allow you to:') }}
          </p>

          <ul>
            <li>
              <SafeHTML>
                {{ $gettext('<strong>Define your own moderation rules</strong>', true) }}
              </SafeHTML>
            </li>

            <li>
              <SafeHTML>
                {{ $gettext('<strong>Invite different people to create their channel</strong> to post their videos, or to help you to moderate the platform', true) }}
              </SafeHTML>
            </li>

            <li>
              <SafeHTML>
                {{ $gettext('Choose to <strong>automatically display videos</strong> uploaded on other PeerTube instances, thanks to the federation', true) }}
              </SafeHTML>
            </li>

            <li>
              <SafeHTML>
                {{ $gettext('<strong>Reduce bandwidth consumption</strong> by using P2P', true) }}
              </SafeHTML>
            </li>

            <li>
              <SafeHTML>
                {{ $gettext('<strong>Customize your instance</strong> by creating your own custom theme and taking advantage of <a class="jpt-router-link" target="_blank" href="/plugins-selection">the many plugins</a> created by the community.', true) }}
              </SafeHTML>
            </li>
          </ul>

          <a class="jpt-link-button jpt-primary-button" href="https://docs.joinpeertube.org/install/any-os" target="_blank" rel="noopener noreferrer">
            <span>{{ $gettext('Go to the documentation') }}</span>
          </a>
        </div>
      </div>
    </div>

    <FAQExtract>
      <FAQMonetization></FAQMonetization>
      <FAQHowInstall></FAQHowInstall>
      <FAQServerHardware></FAQServerHardware>
    </FAQExtract>
  </main>
</template>

<script>
  import { defineComponent } from 'vue'

  import { useGettext } from 'vue3-gettext'
  import { useHead } from '@vueuse/head'

  import FAQExtract from '../components/faq/FAQExtract.vue'

  import FAQMonetization from '../components/faq/uploaders/FAQMonetization.vue'
  import FAQHowInstall from '../components/faq/administrators/FAQHowInstall.vue'
  import FAQServerHardware from '../components/faq/administrators/FAQServerHardware.vue'

  import { buildHead } from '../shared/head'

  import SVGPassion from '../svg/publish-videos/passions.svg'
  import SVGVisibility from '../svg/publish-videos/visibility.svg'

  import MascotHappy from '../svg/mascot/happy.svg'
  import MascotPointing from '../svg/mascot/pointing.svg'

  export default defineComponent({
    components: {
      FAQExtract,

      FAQMonetization,
      FAQHowInstall,
      FAQServerHardware,

      SVGPassion,
      SVGVisibility,
      MascotHappy,
      MascotPointing
    },

    setup () {
      const { $gettext } = useGettext()

      return useHead(buildHead({
        title: $gettext('Publish videos'),
        url: import.meta.env.VITE_URL + '/publish-videos',
        description: $gettext('Find how to publish videos on PeerTube: create your account on an existing PeerTube platform or create your own PeerTube platform!')
      }))
    }
  })
</script>

<style lang="scss" scoped>
  @import '../scss/_variables.scss';
  @import '../scss/bootstrap-mixins.scss';

  #publish-videos {
    .passions {
      @include margin-top(2rem);

      svg {
        display: inline-block;
        width: 415px;
        max-width: 100%;
      }
    }

    .visibility {
      @include margin-top(5rem);

      svg {
        display: inline-block;
        width: 400px;
        max-width: 100%;
      }

      .right {
        height: fit-content;
        align-self: center;
      }
    }

    .getting-started {
      @include margin-top(5rem);

      .card-container {
        display: flex;
        justify-content: center;
      }

      .card {
        max-width: 600px;
        display: flex;
        flex-direction: column;
        align-items: center;
        flex-basis: 50%;

        @include rfs(2rem 2.5rem, padding);
        @include rfs(2.5rem 10px, margin);

        svg {
          max-width: 160px;
          height: auto;
          margin-bottom: 30px;
        }

        .jpt-primary-button {
          margin-top: 20px;
        }
      }

      @include media-breakpoint-down(md) {
        padding: 10px;

        .card-container {
          flex-direction: column;
        }

        .card {
          margin-inline-start: 0;
          margin-inline-end: 0;
        }
      }
    }
  }

</style>
